Package io.vertx.grpc.reflection.v1

## Interface ExtensionNumberResponseOrBuilder

- All Superinterfaces:
    `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`
  All Known Implementing Classes:
    `ExtensionNumberResponse`, `ExtensionNumberResponse.Builder`

      public interface ExtensionNumberResponseOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBaseTypeName()` | Full name of the base type, including the package name.
    `com.google.protobuf.ByteString` | `getBaseTypeNameBytes()` | Full name of the base type, including the package name.
    `int` | `getExtensionNumber​(int index)` | `repeated int32 extension_number = 2;`
    `int` | `getExtensionNumberCount()` | `repeated int32 extension_number = 2;`
    `List<Integer>` | `getExtensionNumberList()` | `repeated int32 extension_number = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getBaseTypeName

          String getBaseTypeName()

           Full name of the base type, including the package name. The format
           is <package>.<type>

      `string base_type_name = 1;`
      Returns:
        The baseTypeName.

    - #### getBaseTypeNameBytes

          com.google.protobuf.ByteString getBaseTypeNameBytes()

           Full name of the base type, including the package name. The format
           is <package>.<type>

      `string base_type_name = 1;`
      Returns:
        The bytes for baseTypeName.

    - #### getExtensionNumberList

          List<Integer> getExtensionNumberList()

      `repeated int32 extension_number = 2;`
      Returns:
        A list containing the extensionNumber.

    - #### getExtensionNumberCount

          int getExtensionNumberCount()

      `repeated int32 extension_number = 2;`
      Returns:
        The count of extensionNumber.

    - #### getExtensionNumber

          int getExtensionNumber​(int index)

      `repeated int32 extension_number = 2;`
      Parameters:
        `index` - The index of the element to return.
      Returns:
        The extensionNumber at the given index.